document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_3900 | ---
+++
@@ -1,15 +1,13 @@
#!/bin/sh
-if test ! $(which rbenv)
-then
+if VERB="$( which rbenv )" 2> /dev/null; then
echo " Installing rbenv for you."
git clone https://github.com/sstephenson/rbenv.git ~/.rbenv
echo 'export PATH="$HOME/.rbenv/bin:$PATH"' >> ~/.zshrc
. ~/.zshrc
fi
-if test ! $(which r... | bash |
d_bash_3901 | ---
+++
@@ -10,9 +10,16 @@
fi
}
-#Substitute all line ending \r characters with nothing
+#Select only lines 1 to 15
head -15 input-file.txt > selected-lines.txt
checkSelectedLines "head -15"
#Equivalent with redirecting input
head -15 < input-file.txt > selected-lines.txt
checkSelectedLines "head -15"
+
+#S... | bash |
d_bash_3902 | ---
+++
@@ -5,6 +5,9 @@
USAGE="Usage: ./$SCRIPT <config>"
source "$PROJECT_DIR/scripts/exec_on_env.sh"
+
+# set the pg password so you're not prompted for login..
+PGPASSWORD=$POSTGRES_PASSWORD
function postgres_test_data {
psql --single-transaction -h $POSTGRES_HOST -U $POSTGRES_USERNAME -d $POSTGRES_NAM... | bash |
d_bash_3903 | ---
+++
@@ -13,4 +13,9 @@
pushd examples/todo
qmake
make
+make clean
+mkdir build
+cd build
+cmake ../
+make
popd | bash |
d_bash_3904 | ---
+++
@@ -35,8 +35,21 @@
#-------------------------------------------------------------------------------
# Profile
#-------------------------------------------------------------------------------
-alias explain="alias | grep"
alias dotfiles="edit ~/.dotfiles"
+
+# Prints out aliases containing the given substr... | bash |
d_bash_3905 | ---
+++
@@ -1,4 +1,13 @@
-for i in ~/.vim ~/.vimrc ~/.gvimrc; do [ -e $i ] && mv $i $i.old; done
+# Add <strong>.old</strong> to any existing Vim file in the home directory
+for i in ~/.vim ~/.vimrc ~/.gvimrc; do
+ if [ -e $i ]; then
+ echo "${i} has been renamed to ${i}.old"
+ mv $i $i.old;
+ fi
+done
+
+# C... | bash |
d_bash_3906 | ---
+++
@@ -2,10 +2,11 @@
mkdir -p $PREFIX/bin
+export HDF5_INCLUDE=$PREFIX/include
+export HDF5_LIB=$PREFIX/lib
-export HDF5_INCLUDE=$PREFIX/include
-export HDF5_LIB=$PREFIX/lib
./configure.py --shared --sub --no-pbbam
+make configure-submodule
make build-submodule
make blasr | bash |
d_bash_3907 | ---
+++
@@ -1,5 +1,6 @@
#!/bin/sh
-jagen_overlays='ast/board/ast2xx sdk/hi-linux toolchain/arm-hisiv200-linux ast/common ast/product/hi-linux'
+jagen_overlays='ast/board/ast2xx sdk/hi-linux toolchain/arm-hisiv200-linux \
+product/chicken ast/common ast/product/hi-linux'
jagen_toolchain_dir='$jagen_base_dir/toolch... | bash |
d_bash_3908 | ---
+++
@@ -19,14 +19,14 @@
}
git_prompt_info() {
- git_branch=$(which git &> /dev/null && git_branch)
+ git_branch=$(which git &> /dev/null && git_branch 2>/dev/null)
if [[ -n $git_branch ]]; then
echo -e "${normal}[${git_branch}${red}$(git_dirty_state)${normal}]"
fi
}
prompt_command() {
- PS1=... | bash |
d_bash_3909 | ---
+++
@@ -3,6 +3,11 @@
# Takes PREFIX for where to install as the first argument:
PREFIX=$1
+
+if [ "$PREFIX" == "" ]; then
+ echo "Must provide prefix as first argument"
+ exit 1
+fi
set -xe
@@ -11,7 +16,7 @@
rm HPX_Release_v1.3.0.tar.gz
cd HPX_Release_v1.3.0/hpx
-./configure --prefix=$PREFIX --... | bash |
d_bash_3910 | ---
+++
@@ -21,7 +21,10 @@
start.sh"
# Exclude these files/folders
-excludeList="config/purpleirc/bots/*"
+excludeList="config/purpleirc/bots/* \
+ mods/ImmersiveEngineering*-core.jar \
+ libraries/org/minimallycorrect/mixin/Mixin*/Mixin*.jar \
+ libraries/org/minimallycorrect/modpatcher/ModPatcher*/Mod... | bash |
d_bash_3911 | ---
+++
@@ -4,15 +4,15 @@
URL=http://github.com/
THEMES=( 'chriskempson/vim-tomorrow-theme' 'nanotech/jellybeans.vim' 'Lokaltog/vim-distinguished' \
'morhetz/gruvbox' 'tomasr/molokai' 'tpope/vim-vividchalk' 'vim-scripts/desert256.vim' )
+TMP_DIR=/tmp/vim_colors
update_themes()
{
for theme ; do
lo... | bash |
d_bash_3912 | ---
+++
@@ -11,7 +11,7 @@
xmodmap -e "pointer = 1 2 3" 2> /dev/null
echo "-> Laptop mode"
else
- xrandr --output $IN --mode 1920x1080 --output $EXT --primary --mode 2560x1440 --right-of $IN
+ xrandr --output $IN --mode 1920x1080 --output $EXT --primary --mode 1920x1080 --right-of $IN
xmodmap -e "pointer =... | bash |
d_bash_3913 | ---
+++
@@ -27,7 +27,7 @@
printf -v INSERT_TEXT '\\n%s' "${LOCAL_FIPS_REPOSITORY[@]//$'\n'/}"
sed -i.bak "/${APPEND_AFTER}/a \\${INSERT_TEXT}" WORKSPACE
-bazel build --//third_party/tink/cc/config:use_only_fips=True -- ...
-bazel test --//third_party/tink/cc/config:use_only_fips=True --test_tag_filters=fips -- ..... | bash |
d_bash_3914 | ---
+++
@@ -18,16 +18,16 @@
#environment info
LOG_DIR="${ARTIFACTS_DIR}/openshift-info/"
mkdir -p ${LOG_DIR}
-get_openshift_info ${LOG_DIR} services default "-before"
-get_openshift_info ${LOG_DIR} pods default "-before"
+get_kubernetes_info ${LOG_DIR} services default "-before"
+get_kubernetes_info ${LOG_DIR} pod... | bash |
d_bash_3915 | ---
+++
@@ -16,8 +16,8 @@
# The fourth ignores cpp so you can
# #define foo(bar) (_real_foo (__FUNC__, bar)) (cpp insists on foo() style).
if grep -n '^[^"]*[[:lower:]](' "$@" \
- | grep -v '^[-[:alnum:]_./]*:[[:digit:]]*: *\*' \
- | grep -v '^[-[:alnum:]_./]*:[[:digit:]]*: */\*' \
+ | grep -v '^[-[:alnum:]... | bash |
d_bash_3916 | ---
+++
@@ -12,6 +12,7 @@
if [[ $1 == "" ]]
then
echo "Usage: $0 vm-xyz (first segment of replica's hostname)"
+ exit
fi
# $1 should be vm-xyz | bash |
d_bash_3917 | ---
+++
@@ -10,7 +10,7 @@
python setup.py develop
pip install -r requirements.txt
-# Update database
+# Update sandbox database
cd sites/sandbox
./manage.py syncdb --noinput
./manage.py migrate
@@ -22,9 +22,8 @@
# Load standard fixtures
./manage.py loaddata ../_fixtures/promotions.json
-# Restart Tomcat (t... | bash |
d_bash_3918 | ---
+++
@@ -3,5 +3,5 @@
set -ex
git pull
-rake db:schema:load
+rake db:migrate
rake db:data:load_dir dir="datadump" | bash |
d_bash_3919 | ---
+++
@@ -27,4 +27,4 @@
pip install ghp-import --user ${USER}
${PYTHONUSERBASE}/bin/ghp-import -m 'Update the documentation' -n target/doc
-git push -qf git@github.com/${TRAVIS_REPO_SLUG}.git gh-pages
+git push -qf git@github.com:${TRAVIS_REPO_SLUG}.git gh-pages | bash |
d_bash_3920 | ---
+++
@@ -1,4 +1,16 @@
#!/bin/sh
+
+if [ -n "$STEAMCACHE_RESOLVE_NAME" ]
+then
+ RESOLVED_IP="$(nslookup "$STEAMCACHE_RESOLVE_NAME" 2>/dev/null | grep 'Address' | awk '{ print $3 }')"
+ if [ -n "$RESOLVED_IP" ]
+ then
+ echo "Resolved ${STEAMCACHE_RESOLVE_NAME} to ${RESOLVED_IP}"
+ STEAMCACHE_IP="$RESOLVED_IP"
+... | bash |
d_bash_3921 | ---
+++
@@ -9,3 +9,27 @@
#alias for simple python server
#serves current directory on localhost:3000
alias simpleserver="python -m SimpleHTTPServer 3000"
+
+# syncs the contents of destination folder with contents
+# of source folder
+# arguments source_folder, destination_folder
+# excludes hidden files
+function... | bash |
d_bash_3922 | ---
+++
@@ -21,3 +21,9 @@
cd ~/Downloads
wget https://dl.bintray.com/mitchellh/vagrant/vagrant_1.7.2_i686.deb
sudo dpkg -i ~/Downloads vagrant_1.7.2_i686.deb
+
+
+sudo apt-get -y install php5-cli php5
+wget http://apigen.org/apigen.phar
+sudo chmod +x apigen.phar
+sudo mv apigen.phar /usr/local/bin/apigen | bash |
d_bash_3923 | ---
+++
@@ -9,12 +9,11 @@
export GEM_PATH=/srv/localgems
export PATH=/srv/localgems/bin:$PATH
-# restart couchdb to (hopefully) mitigate the replication issues (e.g., opscode-account
-# does many replicates and eventually causes Couch to start misbehaving)
-/etc/init.d/couchdb restart
-
cd /srv/"$1"/current
shi... | bash |
d_bash_3924 | ---
+++
@@ -3,5 +3,5 @@
# infrastructure. If you're not from Tanglu, just ignore it.
source /var/archive-kit/debile/ENV/bin/activate
cd /pub/ftp/incoming
-debile-incoming .
+debile-incoming-dud .
cd /tmp | bash |
d_bash_3925 | ---
+++
@@ -1,4 +1,4 @@
-#!/usr/bin/env sh
+#!/usr/bin/env bash
#
# Install Homebrew and some programs.
@@ -23,3 +23,8 @@
brew install ruby-build
brew install sqlite
brew install tree
+
+# NPM
+curl http://npmjs.org/install.sh | sh
+
+npm install -g coffee-script | bash |
d_bash_3926 | ---
+++
@@ -8,5 +8,16 @@
set -o pipefail
origin_path="src/github.com/openshift/origin"
-docker run --rm -v ${GOPATH}/${origin_path}:/go/${origin_path} \
- openshift/origin-release /usr/bin/openshift-origin-build.sh $@
+
+# TODO: Remove this check and fix the docker command instead after the
+# following PR... | bash |
d_bash_3927 | ---
+++
@@ -6,3 +6,4 @@
echo "quit" >> impact.bat
impact -batch impact.bat
+rm -f impact.bat | bash |
d_bash_3928 | ---
+++
@@ -11,7 +11,10 @@
# This script runs the first boot install tasks on the hardware
xbps-install -R http://repo.collegiumv.org/current -Syu
xbps-install -R http://repo.collegiumv.org/current -Syu
-xbps-install -R http://repo.collegiumv.org/current -y curl fbv ansible git-all
+xbps-install -R http://repo.col... | bash |
d_bash_3929 | ---
+++
@@ -6,6 +6,7 @@
# found in the LICENSE.txt file.
set -eu
+set -x
if test -n "${TRAVIS:-}" -o -n "${GITHUB_ACTIONS:-}"; then
set -x
@@ -17,7 +18,15 @@
make "$@" check
# Upload coverage
-if test -n "${CODECOV_TOKEN:-}"; then
+if test -n "${COVERAGE:-}"; then
+ # Collect coverage for DLL
+ mv bin... | bash |
d_bash_3930 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash
set -eu -o pipefail
-GIT_LFS_RELEASE="2.4.0"
+GIT_LFS_RELEASE="2.5.1"
echo "Updating awscli..."
sudo yum update -y awscli
@@ -23,10 +23,9 @@
sudo aws configure set s3.signature_version s3v4
echo "Installing git lfs..."
-curl -Lsf -o git-lfs.tgz https://github.com/git-lf... | bash |
d_bash_3931 | ---
+++
@@ -3,4 +3,5 @@
#or http://twitter.com/statuses/user_timeline/255481440.rss
# From pipes to remove Username
#http://pipes.yahoo.com/pipes/pipe.info?_id=zncl_xDx2xGVxuG5p2IyXQ
-wget "http://pipes.yahoo.com/pipes/pipe.run?_id=zncl_xDx2xGVxuG5p2IyXQ&_render=rss&user=nat_sciences" -O "$dir/../data/feed/feed.xm... | bash |
d_bash_3932 | ---
+++
@@ -9,4 +9,4 @@
# hide mouse cursor when idle
unclutter -idle 1 &
-chromium-browser --user-data-dir=~pi/.config --app=http://rooms/ --no-sandbox
+chromium-browser --user-data-dir=~pi/.config --app=http://rooms/ --no-sandbox --disable-pinch --touch-events --kiosk | bash |
d_bash_3933 | ---
+++
@@ -15,17 +15,10 @@
"code-insiders"
do
if hash $VARIANT 2>/dev/null; then
- VERSION="$($VARIANT --version)"
- MAJOR="$(echo $VERSION | sed -e 's/\..*$//')"
- MINOR="$(echo $VERSION | sed -e 's/\-[a-z]*$//' -e 's/^[0-9]*\.//' -e 's/\.[0-9]*$//')"
- if [ "$MAJOR" -gt "0" ] && [ "... | bash |
d_bash_3934 | ---
+++
@@ -4,8 +4,7 @@
cd /slang
mkdir build
cd build
-cmake -DCMAKE_CXX_COMPILER=clang++-6.0 -DSLANG_COVERAGE=ON -DSLANG_SANITIZERS=undefined,address "-DCMAKE_CXX_CLANG_TIDY=/usr/lib/llvm-6.0/bin/clang-tidy;-quiet;-checks=-*,clang-analyzer-*,bugprone-*,performance-*,modernize-*,-modernize-use-auto,-modernize-raw... | bash |
d_bash_3935 | ---
+++
@@ -11,6 +11,7 @@
brew install tmux
brew install gnu-sed
brew install findutils
+ brew cask install rectangle
else
sudo apt-get install cmake python3-dev build-essential
fi | bash |
d_bash_3936 | ---
+++
@@ -11,7 +11,7 @@
sudo add-apt-repository -y ppa:$ppa
sudo apt-get update -qq
- sudo apt-get install -qq ocaml-nox ocaml-native-compilers opam
+ sudo apt-get install -qq ocaml-nox ocaml-native-compilers opam libgmp-dev
# ;;
# osx)
# if [ -z "$MAC_TOO" ]; then
@@ -19,7 +19,7 @@
# exit 0
# ... | bash |
d_bash_3937 | ---
+++
@@ -11,6 +11,7 @@
alias glog="git log --graph --pretty=format:'%Cred%h%Creset %an: %s - %Creset %C(yellow)%d%Creset %Cgreen(%cr)%Creset' --abbrev-commit --date=relative"
alias gp='git push origin HEAD'
alias gd='git diff'
+alias gdc='git diff --cached'
alias gc='git commit'
alias gca='git commit -a'
ali... | bash |
d_bash_3938 | ---
+++
@@ -1,5 +1,14 @@
#!/bin/sh
set -e
+
+# This removes rbenv shims from the PATH where there is no
+# .ruby-version file. This is because certain gems call their
+# respective tasks with ruby -S which causes the following error to
+# appear: ruby: no Ruby script found in input (LoadError).
+if [ ! -f .ruby-ver... | bash |
d_bash_3939 | ---
+++
@@ -2,10 +2,13 @@
moziot_dir="/home/pi/mozilla-iot"
+# NOTE: --renew-hook is deprecated and has been replaced by --deploy-hook.
+# However, the version of certbot in raspbian stretch doesn't have
+# --deploy-hook support, so we're sticking with the old option for now.
certbot renew \
--... | bash |
d_bash_3940 | ---
+++
@@ -3,5 +3,5 @@
set -e
./.travis/test.sh js/biotool.js
-./.travis/test.sh ~/.local/bin/biotool-hs-exe
+./.travis/test.sh ~/.local/bin/biotool-hs
./.travis/test.sh ruby/biotool.rb | bash |
d_bash_3941 | ---
+++
@@ -15,5 +15,5 @@
# Set experimental in config
if [[ "${DOCKER_EXPERIMENTAL:-false}" == "true" ]] ; then
- cat <<< "$(jq '.experimental="buildkite-agent"' /etc/docker/daemon.json)" > /etc/docker/daemon.json
+ cat <<< "$(jq '.experimental="true"' /etc/docker/daemon.json)" > /etc/docker/daemon.json
fi | bash |
d_bash_3942 | ---
+++
@@ -30,4 +30,4 @@
DETACHED="-d"
fi
-echo docker run ${DETACHED} -t -i jeancsil/flight-spy
+docker run ${DETACHED} -t -i jeancsil/flight-spy | bash |
d_bash_3943 | ---
+++
@@ -4,26 +4,27 @@
# Paths to ignore.
shellcheck_skip="
- ./tools/git-churn.sh
- ./bash_includes/git-completion.sh
- ./bash_includes/git-prompt.sh
- ./vim/undo/*
+ tools/git-churn.sh
+ bash_includes/git-completion.sh
+ bash_includes/git-prompt.sh
+ vim/undo/
"
# Linting errors to ignore.
export SHELLC... | bash |
d_bash_3944 | ---
+++
@@ -6,7 +6,7 @@
cp meteologger.service /etc/systemd/system/
cp meteoserver.service /etc/systemd/system/
-pip install . --upgrade
+pip3 install . --upgrade
systemctl enable meteologger.service
systemctl start meteologger.service | bash |
d_bash_3945 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash
-BACKUP_DATE=`date -d today +'%Y-%m-%d'`
+BACKUP_DATE=`date -d today +'%Y-%m-%d_%H-%M'`
echo "localhost:5432:iyijia_development:postgres:postgres">~/.pgpass
chmod 600 ~/.pgpass
pg_dump -i -h localhost -p 5432 -U postgres -F c -b -v -f "/home/hao/backup/${BACKUP_DATE}.sql" iyiji... | bash |
d_bash_3946 | ---
+++
@@ -1,6 +1,7 @@
#!/bin/bash
-
-# Install the latest stackage lts snapshot and run cabal clean/update
+#
+# Install the latest stackage lts snapshot, run cabal clean/update and
+# initialize the cabal sandbox.
set -e
@@ -9,5 +10,5 @@
rm -f cabal.config
wget http://www.stackage.org/lts/cabal.config
cab... | bash |
d_bash_3947 | ---
+++
@@ -5,6 +5,8 @@
bash -se <<EOF
PATH=$BINDIR:$PATH
cd $BINDIR
+exec > $HOME/runspftools.log 2>&1
+date
git pull
compare.sh || despf.sh \
| simplify.sh | mkblocks.sh \ | bash |
d_bash_3948 | ---
+++
@@ -14,10 +14,6 @@
local return_value=$?
if [ -z "$__report_next_completion" ]
then return 0
- fi
-
- if ! command -v ping-me >/dev/null
- then >&2 echo '"ping-me" not found.'
fi
local cmd=`history -1 | sed 's/ *[0-9]* *//' | sed 's/pm *&& *//'` | bash |
d_bash_3949 | ---
+++
@@ -30,5 +30,6 @@
install_npm_pkg esbuild
install_npm_pkg jest
install_npm_pkg npm-check-updates
+install_npm_pkg netlify-cli
install_node_version 12.16.3 --reinstall-packages-from=default | bash |
d_bash_3950 | ---
+++
@@ -18,6 +18,6 @@
R --vanilla -e "tryCatch(tools::write_PACKAGES(dir='$repo',type='mac.binary'),error=function(e)q(status=1))"
for pkg in eolts isfs eolsonde; do
- rm -f $(ls $repo/${pkg}_*.tgz | sort | head -n -2)
+ rm -f $(ls -rt $repo/${pkg}_*.tgz | sort | head -n -2)
chmod g+w $repo/${pkg}_... | bash |
d_bash_3951 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/sh
mkdir -p ${OPENSHIFT_DATA_DIR}backups
-timestamp=$( date +%D )
+timestamp=$( date +"%Y%m%d%H%M" )
mysqldump --host=${OPENSHIFT_MYSQL_DB_HOST} --port=${OPENSHIFT_MYSQL_DB_PORT} --user=${OPENSHIFT_MYSQL_DB_USERNAME} --password=${OPENSHIFT_MYSQL_DB_PASSWORD} beer > ${OPENSHIFT_DATA... | bash |
d_bash_3952 | ---
+++
@@ -10,6 +10,8 @@
PREFIX=/opt/cpython-ucs2-$REV
+sudo apt-get install -qq zlib1g libssl1.0.0
+
export PATH=$PREFIX/bin:$PATH
export LD_LIBRARY_PATH=$PREFIX/lib:$LD_LIBRARY_PATH
mkvirtualenv -p $PREFIX/bin/python$REV python-ucs2-$REV | bash |
d_bash_3953 | ---
+++
@@ -1,2 +1,2 @@
#!/bin/bash
-pg_dump -U postgres -d mlpvc-rr --inserts --column-inserts --data-only > mlpvc-rr_data.pg.sql
+pg_dump -U postgres -d mlpvc-rr --inserts --column-inserts --data-only --exclude-table=phinxlog > mlpvc-rr_data.pg.sql | bash |
d_bash_3954 | ---
+++
@@ -6,7 +6,7 @@
# This works around 'hash sum mismatch' issues.
# See https://blog.packagecloud.io/eng/2016/03/21/apt-hash-sum-mismatch/ for more details.
-echo 'Acquire::CompressionTypes::Order:: "gz";' > /etc/apt/apt.conf.d/99compression-workaround
+echo 'Acquire::CompressionTypes::Order:: "gz";' | sudo... | bash |
d_bash_3955 | ---
+++
@@ -8,5 +8,6 @@
for PATTERN in .cvs .git .hg .svn; do
GREP_OPTIONS+="--exclude-dir=$PATTERN "
done
-export GREP_OPTIONS+='--color=auto '
+GREP_OPTIONS+="--color=auto"
+export GREP_OPTIONS="$GREP_OPTIONS"
export GREP_COLOR='1;32' | bash |
d_bash_3956 | ---
+++
@@ -4,21 +4,16 @@
# Set the password for MySQL user and root everytime this container is started.
# This allows to change the password by editing the deployment configuration.
if [[ -v MYSQL_USER && -v MYSQL_PASSWORD ]]; then
- TMP_FILE=$(mktemp /tmp/mysql_userXXXXX)
-mysql $mysql_flags >> $TMP_FI... | bash |
d_bash_3957 | ---
+++
@@ -1,5 +1,5 @@
# Create a new directory, and enter it
-md() {
+mkd() {
mkdir -p "$1" && cd "$1"
}
| bash |
d_bash_3958 | ---
+++
@@ -2,4 +2,4 @@
source '/usr/local/lib/rvm'
export GEM_HOME="/home/jenkins/bundles/${JOB_NAME}"
mkdir -p "${GEM_HOME}"
-bundle install && bundle exec rake db:create db:migrate test --trace
+bundle install && bundle exec rake db:create db:migrate test cucumber --trace | bash |
d_bash_3959 | ---
+++
@@ -26,4 +26,15 @@
brew cask install teamviewer
+# Install QuickView
+brew cask install qlmarkdown
+brew cask install qlcolorcode
+brew cask install qlstephen
+brew cask install quicklook-json
+brew cask install qlprettypatch
+brew cask install quicklook-csv
+brew cask install betterzipql
+brew cask in... | bash |
d_bash_3960 | ---
+++
@@ -1,5 +1,7 @@
-while (true);
-do ./manage.py customs_daily_tasks ;
-echo -e "\nSleeping...\n"
-sleep 24h;
-done;
+wget https://openhatch.org/+api/v1/customs/tracker_model/\?format\=yaml\&limit\=500 -O /tmp/bug-trackers.yaml
+
+pushd ../oh-bugimporters
+env/bin/scrapy runspider bugimporters/main.py -a input... | bash |
d_bash_3961 | ---
+++
@@ -1,9 +1,26 @@
set -e
packages=(
+ angular
+ bluebird
+ bootstrap
bower
+ chalk
+ coffee-script
+ express
+ generator-angular
+ generator-jasmine
+ generator-karma
+ generator-mocha
+ generator-node
+ generator-react
+ grunt
grunt-cli
+ grunt-init
gulp
+ jshint
+ mean-cli
+ nod... | bash |
d_bash_3962 | ---
+++
@@ -3,19 +3,23 @@
set -e
cd /tmp
+# Upload the linux-64 to anaconda automaticly
+echo "Set config"
+conda config --set anaconda_upload yes
+
echo "Create skeleton.."
conda skeleton pypi femagtools
echo "Build package.."
-conda build femagtools
+dest_dir=`conda build femagtools --output`
+echo "File l... | bash |
d_bash_3963 | ---
+++
@@ -1,4 +1,6 @@
echo "LOADING BASH RC"
+
+export PS1="\[\e[32m\]\u\[\e[m\]@\[\e[33m\]\h\[\e[m\]:\[\e[36m\]\w\[\e[m\] \[\e[33m\]\\$\[\e[m\] "
if [[ -s "${HOME}/.nurc" ]]; then
source ~/.nurc | bash |
d_bash_3964 | ---
+++
@@ -7,10 +7,14 @@
# Default memory settings if not specified in $RAILO_JAVA_OPTS
: ${RAILO_JAVA_OPTS:="-Xms256m -Xmx512m -XX:MaxPermSize=128m"}
-# Activate Java agent and Apache Tomcat native library support
-JAVA_OPTS="${RAILO_JAVA_OPTS} -javaagent:lib/railo-inst.jar -Djava.library.path=/usr/lib/x86_64-l... | bash |
d_bash_3965 | ---
+++
@@ -3,14 +3,14 @@
[ ! -e ../../config.sh ] && die "FRESteamWorks/config.sh is not set up!"
. ../../config.sh
-export LD_PRELOAD="$STEAM_SDK/redistributable_bin/linux32/libsteam_api.so"
+STEAM_LIB="$STEAM_SDK/redistributable_bin/linux32/libsteam_api.so"
if [ -z "$SteamAppId" ] && [ ! -e "steam_appid.txt... | bash |
d_bash_3966 | ---
+++
@@ -1,4 +1,3 @@
#!/usr/bin/env bash
sudo apt-get install -y git-core
-ssh-keyscan -H git.example.com >> ~/.ssh/known_hosts | bash |
d_bash_3967 | ---
+++
@@ -5,7 +5,7 @@
source "$CURRENT_DIR/helpers.sh"
source "$CURRENT_DIR/variables.sh"
-auto_restore_not_disabled() {
+auto_restore_enabled() {
local auto_restore_value="$(get_tmux_option "$auto_restore_option" "$auto_restore_default")"
[ "$auto_restore_value" == "on" ] && [ ! -f "$auto_restore_halt_file... | bash |
d_bash_3968 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash
npm run clean
-npm run build
+npm run build:js
BABEL_OPTS='--presets=babili --no-comments'
BABEL_COMMAND="./node_modules/babel-cli/bin/babel.js" | bash |
d_bash_3969 | ---
+++
@@ -6,7 +6,7 @@
set -e
# verify all modules pass validation
-for i in $(find . -name go.mod); do
+for i in $(find . -name go.mod -not -path "./site/*"); do
pushd .
cd $(dirname $i);
go list -m -json all > /dev/null | bash |
d_bash_3970 | ---
+++
@@ -16,7 +16,7 @@
branch=$(git status -bs | awk '{ print $2 }' | awk -F'.' '{ print $1 }' | head -n 1)
# update changelog per Github milestone
-mvn com.github.heuermh.maven.plugin.changes:github-changes-maven-plugin:1.1:github-changes -DmilestoneId=${milestone}
+mvn com.github.heuermh.maven.plugin.changes... | bash |
d_bash_3971 | ---
+++
@@ -1,7 +1,8 @@
#!/bin/bash
-mkfifo fifo0 fifo1
-python ./bar.py > fifo0 < fifo1 &
-lemonbar -p -f "Droid Sans-9" -f "FontAwesome-11" -g1366x22 eDP1 < fifo0 > fifo1
+[[ -r p_to_lb ]] || mkfifo p_to_lb
+[[ -r lb_to_p ]] || mkfifo lb_to_p
+python ./bar.py > p_to_lb < lb_to_p &
+lemonbar -p -f "Droid Sans-9" ... | bash |
d_bash_3972 | ---
+++
@@ -10,7 +10,7 @@
BI_HOME=$3
MYSQL_ARGS="-u root"
echo $DB_NAME
-echo "drop database ${DB_NAME}" | mysql $MYSQL_ARGS
-echo "create database ${DB_NAME}" | mysql $MYSQL_ARGS
-mysql $MYSQL_ARGS ${DB_NAME} < $BI_HOME/JohnWoodlockWorkInProgress/MifosDataWarehouseETL/load_mifos_datawarehouse.sql
-${PDI_HOME}/kit... | bash |
d_bash_3973 | ---
+++
@@ -1,5 +1,5 @@
export PYTHONSTARTUP=$HOME/.dotfiles/python/startup/startup.py
-export PYTHONPATH=$PYTHONPATH:$PROJECTS/bueda/ops
+export PYTHONPATH=$PYTHONPATH
export PYTHONUSERDIR=$HOME/.dotfiles/python/startup
export PROJECT_HOME=$PROJECTS | bash |
d_bash_3974 | ---
+++
@@ -9,7 +9,7 @@
run_example "$example_name" refinement_type=h
run_example "$example_name" refinement_type=p
-run_example "$example_name" refinement_type=hp
-# Solvers still give us trouble with too much matchedhp?
-run_example "$example_name" refinement_type=matchedhp max_r_steps=5
+# Some solvers still... | bash |
d_bash_3975 | ---
+++
@@ -17,9 +17,9 @@
# Download and configure conda.
cd /usr/share/miniconda
-curl http://repo.continuum.io/miniconda/Miniconda-latest-Linux-x86_64.sh > miniconda.sh
-bash miniconda.sh -b -p /opt/conda
-rm miniconda.sh
+curl http://repo.continuum.io/miniconda/Miniconda2-latest-Linux-x86_64.sh > miniconda2.sh... | bash |
d_bash_3976 | ---
+++
@@ -1,3 +1,4 @@
+pod install --project-directory=Example
xcodebuild \
-workspace Example/CascadingTableDelegate.xcworkspace \
-scheme CascadingTableDelegate-Example \ | bash |
d_bash_3977 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/sh
-awk '/pos last name first/{flag=1;next}/The total Number/{flag=0}flag' $1 | cut -c28- | sed 's/\// /' | awk '{ num_games = 0; for(i=5; i < NF; i++) { if ($i ~ /[WLD]/) num_games=num_games+1;} print $1 " " $2 " " $3 " " $4 " " num_games}'
+awk '/pos last name first/{flag=1;next}/T... | bash |
d_bash_3978 | ---
+++
@@ -20,8 +20,7 @@
source ~/.bashrc
-pyenv install 3.6.2 \
- && pyenv global 3.6.2
-
-pip install --upgrade pip python-dateutil \
+pyenv install -s 3.6.2 \
+ && pyenv global 3.6.2 \
+ && pip install --upgrade pip python-dateutil \
&& pip --no-cache-dir install -r requirements.txt | bash |
d_bash_3979 | ---
+++
@@ -52,7 +52,13 @@
isNum(){
local str=${@}
- isNull ${str//[0-9]/}
+ if [[ ! $(beginsWith - ${str}) ]]; then
+ isNull ${str//[0-9]/}
+ else
+ str=${str/-/}
+
+ isNull ${str//[0-9]/}
+ fi
}
isOption(){ | bash |
d_bash_3980 | ---
+++
@@ -33,7 +33,7 @@
fi
apt-get install -y --no-install-recommends \
- git-core \
+ git \
python \
python-dev \
$virtualenv \ | bash |
d_bash_3981 | ---
+++
@@ -1,10 +1,8 @@
#!/bin/sh
-#cd "$(dirname "$0")"
-cd /
+cd /home/pi/projects/kindle-weather-display/server
python2 weather-script.py
rsvg-convert --background-color=white -o weather-script-output-raw.png weather-script-output.svg
pngcrush -c 0 weather-script-output-raw.png weather-script-output.png
-... | bash |
d_bash_3982 | ---
+++
@@ -2,7 +2,7 @@
cd www_files/js
test -e jquery-1.4.4.min.js || wget http://code.jquery.com/jquery-1.4.4.min.js
test -e adhoc.js || wget http://cgit.babelmonkeys.de/cgit.cgi/adhocweb/plain/js/adhoc.js
-test -e strophe.js || (wget --no-check-certificate https://github.com/metajack/strophejs/tarball/release-1... | bash |
d_bash_3983 | ---
+++
@@ -10,6 +10,7 @@
source /etc/profile.d/chruby.sh
chruby 2.1.2
+export BOSH_INIT_LOG_LEVEL=DEBUG
semver=`cat version-semver/number`
cpi_release_name="bosh-openstack-cpi" | bash |
d_bash_3984 | ---
+++
@@ -1,10 +1,12 @@
set -e
pushd "$PWD"/CFC_WebApp
+find . -name \*.pyc | xargs rm
cp config.json.localhost.android config.json
cp keys.json.sample keys.json
python -m unittest discover -s tests -p Test*;
popd
pushd "$PWD"/CFC_DataCollector
+find . -name \*.pyc | xargs rm
cp ../CFC_WebApp/config.json co... | bash |
d_bash_3985 | ---
+++
@@ -2,6 +2,6 @@
lcov --base-directory . --directory . --zerocounters -q
ctest
lcov --quiet --directory . --capture --output-file app.info
-lcov --quiet --remove app.info "/usr*" "/opt/boost/*" "*/cjet/json/*" -o app.info.filter
+lcov --quiet --remove app.info "/usr*" "/opt/boost/*" "*/cjet/json/*" "*/cjet/... | bash |
d_bash_3986 | ---
+++
@@ -5,31 +5,33 @@
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
# Script to build static files for the site.
-set -x
-
+# Directory paths.
ROOT_DIR=$(realpath "$(dirname $0)/..")
SCSS_DIR="$ROOT_DIR/scss"
STATIC_DIR="$ROOT_DIR/static"
+
# Build SCSS files in the SCS... | bash |
d_bash_3987 | ---
+++
@@ -16,4 +16,4 @@
valet install
# Run Functional tests
-./vendor/bin/phpunit --group acceptance --exclude-group none
+./vendor/phpunit/phpunit/phpunit --group acceptance --exclude-group none | bash |
d_bash_3988 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
# Switch to the directory with the project
-cd /home/pi/closedloopcoast-modbus-connector/
+cd /home/pi/closedloopcoast-connector/
# Update nodejs
sudo apt install nodejs
# Get the latest code from github
@@ -8,4 +8,4 @@
# Fetch dependencies if there are updates and install th... | bash |
d_bash_3989 | ---
+++
@@ -14,23 +14,23 @@
REFIND_VERSION="0.10.3"
# Download refind.
- curl -O http://netcologne.dl.sourceforge.net/project/refind/$REFIND_VERSION/refind-bin-$REFIND_VERSION.zip
- unzip ./refind-bin-$REFIND_VERSION.zip
+ wget http://netcologne.dl.sourceforge.net/project/refind/$REFIND_VERSION/r... | bash |
d_bash_3990 | ---
+++
@@ -21,7 +21,7 @@
cd deploy_blog
git config user.name "travis-update-bot"
-git config user.email "nobody@example.com"
+git config user.email "travis-update-bot@phil-opp.com"
cp ../posts/* _posts/
cp ../pages/* ./
git add . | bash |
d_bash_3991 | ---
+++
@@ -6,5 +6,5 @@
pushd . 1>/dev/null
cd /tmp;
-rm -rf keepfile* modinfo* instimage* keymaps* makeboot* yumcache*
+rm -rf keepfile* modinfo* instimage* keymaps* makeboot* yumcache* yumdir* buildinstall*
popd 1>/dev/null | bash |
d_bash_3992 | ---
+++
@@ -1,4 +1,4 @@
-for pin in 64 65 66 67 68 69 70 71 72 73 96 97 98 99 100 101 107
+for pin in 68 69 70 71 72 73 74 75 96 97 98 107
do
echo $pin > /sys/class/gpio/export
echo out > /sys/class/gpio/gpio$pin/direction | bash |
d_bash_3993 | ---
+++
@@ -10,7 +10,7 @@
fi
RECIPE="${1}"
-DOCKER=echo "${RECIPE}" | cut -d "-" -f 1 # Allow e.g., a recipe called "inkscape-standalone" to use the "inkscape" Docker image
+DOCKER=$(echo "${RECIPE}" | cut -d "-" -f 1) # Allow e.g., a recipe called "inkscape-standalone" to use the "inkscape" Docker image
mkdir... | bash |
d_bash_3994 | ---
+++
@@ -7,6 +7,6 @@
asciinema ripgrep clojure clojure-lsp lazygit tree \
lua-language-server bitwarden-cli babashka lua xclip \
ttf-fira-code ttf-dejavu-emojiless noto-fonts-emoji \
- gnome-keyring topgrade neovim leiningen
+ gnome-keyring topgrade neovim leiningen difftastic
npm install -g typescri... | bash |
d_bash_3995 | ---
+++
@@ -6,9 +6,9 @@
mkdir -p tsomi-staging
cd tsomi-staging
#cat ../../index.html | sed 's/static\/tsomi.css/\/tsomi\/static\/tsomi.css/' | sed 's/js\/bundle.js/\/tsomi\/js\/bundle.js/' > index.html
-cp ../../index.html .
-cp -r ../../static .
-cp -r ../../js .
+cp ../index.html .
+cp -r ../static .
+cp -r ../... | bash |
d_bash_3996 | ---
+++
@@ -4,8 +4,8 @@
{
"Debug": true,
"ListenAddress": ":3000",
- "MySQLTopologyUser": "${ORC_TOPOLOGY_USER:-:orchestrator}",
- "MySQLTopologyPassword": "${ORC_TOPOLOGY_PASSWORD:-:orchestrator}",
+ "MySQLTopologyUser": "${ORC_TOPOLOGY_USER:-orchestrator}",
+ "MySQLTopologyPassword": "${ORC_TOPOLOGY_PASS... | bash |
d_bash_3997 | ---
+++
@@ -31,3 +31,11 @@
fi
+# Quick statement to build documents
+if [ $(which doxygen) ]; then
+ rm -fvr Documentation/{docbook,html,latex,rtf,xml}
+ rm -fvr GPATH GRTAGS GTAGS doxygen Documentation/Doxyfile
+ doxygen Documentation/Doxyfile
+
+fi
+ | bash |
d_bash_3998 | ---
+++
@@ -15,6 +15,7 @@
copyon==1 {print > "'$chk'"}' $i
../cc1 -I. -w $i > $out 2>&1
+ echo $i >> test.log
if diff -c $chk $out >> test.log
then
echo [OK] | bash |
d_bash_3999 | ---
+++
@@ -17,19 +17,17 @@
git clone git://github.com/sstephenson/rbenv-vars.git $RBENV_ROOT/plugins/rbenv-vars
# Add rbenv to the path:
-PROFILE_DATA="
+cat << EOF > $PROFILE
# rbenv setup
-export RBENV_ROOT=\"$RBENV_ROOT\"
-export PATH=\"\$RBENV_ROOT/bin:\$PATH\"
-eval \"\$(rbenv init -)\""
+export RBENV_ROOT... | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.